> ## Documentation Index
> Fetch the complete documentation index at: https://docs.konnectnxt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# E-Sign Retrieve API

> Retrieve signed e-sign document details, status, and audit file using `request_id` and `esign_doc_id`.



## OpenAPI

````yaml POST /esign/retrieve/
openapi: 3.0.0
info:
  title: KonnectNXT API Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://bgv.konnectnxt.com/api
    description: Production
  - url: https://testbgv.konnectnxt.com/api
    description: QA
security:
  - bearerAuth: []
paths:
  /esign/retrieve/:
    post:
      tags:
        - E-Sign
      summary: Retrieve E-Sign document
      description: >-
        Retrieves e-sign document details, signer information, status flags, and
        signed/audit file URLs.
      operationId: retrieveEsignDocument
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EsignRetrieveRequest'
            examples:
              Example:
                summary: Basic retrieve request
                value:
                  request_id: 53ecfa78-2bb0-48a0-a4f3-d1caa1e79b35
                  esign_doc_id: 01KH6407707YBFWJ642WRWC5D3
      responses:
        '200':
          description: E-Sign document retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EsignRetrieveSuccessResponse'
        '400':
          $ref: '#/components/responses/BadRequestError'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '404':
          $ref: '#/components/responses/NotFoundError'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    EsignRetrieveRequest:
      type: object
      required:
        - request_id
        - esign_doc_id
      properties:
        request_id:
          type: string
          description: The request_id returned from the generate API
          example: 53ecfa78-2bb0-48a0-a4f3-d1caa1e79b35
        esign_doc_id:
          type: string
          description: The esign_doc_id returned from the generate API
          example: 01KH6407707YBFWJ642WRWC5D3
    EsignRetrieveSuccessResponse:
      type: object
      required:
        - code
        - status
        - message
        - data
      properties:
        code:
          type: integer
          example: 200
        status:
          type: string
          example: success
        message:
          type: string
          example: E-Sign document retrieved successfully
        data:
          type: object
          properties:
            request_id:
              type: string
              example: 53ecfa78-2bb0-48a0-a4f3-d1caa1e79b35
            esign_doc_id:
              type: string
              example: 01KH6407707YBFWJ642WRWC5D3
            signer_name:
              type: string
              example: Shivam Singh
            signer_email:
              type: string
              example: shivam@gmail.com
            signer_phone:
              type: string
              example: '9874563210'
            is_signed:
              type: boolean
              description: Whether the document has been signed
              example: true
            signed_at:
              type: string
              format: date-time
              description: Timestamp when the document was signed
              example: '2026-02-18T10:15:30Z'
            signed_file_url:
              type: string
              format: uri
              description: Download URL for the signed document
              example: https://storage.example.com/signed/document_signed.pdf
            audit_file_url:
              type: string
              format: uri
              description: Download URL for the audit trail
              example: https://storage.example.com/audit/document_audit.pdf
    ErrorResponse:
      type: object
      properties:
        status:
          type: string
          example: error
        code:
          type: integer
          example: 400
        message:
          type: string
          example: Validation failed
        errors:
          type: object
          additionalProperties: true
  responses:
    BadRequestError:
      description: Bad request - validation error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    UnauthorizedError:
      description: Unauthorized - authentication failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFoundError:
      description: Not found - resource does not exist
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalServerError:
      description: Unexpected system error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key issued by KonnectNXT. Pass as `Authorization: Bearer
        <your_api_key>`.

````